package com.pcloud.book.book.entity;

import com.pcloud.common.entity.BaseEntity;

import java.util.Date;

/**
 *  图书冻结
 * @author lili
 * @date 2018/1/18 18:03
 */
public class BookFreeze extends BaseEntity{

	/**
	 *
	 */
	private static final long serialVersionUID = -5863896830217412200L;

	/**
	 * 冻结标识
	 */
	private Long id;

    /**
     * 图书标识
     */
    private Long bookId;

    /**
     * 冻结时间
     */
    private String freezetime;

    /**
     * 冻结状态
     */
    private Integer freezeStatus;

    /**
     * 解冻时间
     */
    private Date thawTime;

    /**
     * 基金标识
     */
    private Long bookFundId;

	/**
	 * 创建人
	 */
	private Long createdUser;

    /**
     * 是否代理模式-新增于2018-8-6
     */
	private Integer proxyMode;
    /**
     * 转让方-新增于2018-8-6
     */
	private String transferor;

    private Integer fromErp;

    public Integer getFromErp() {
        return fromErp;
    }

    public void setFromErp(Integer fromErp) {
        this.fromErp = fromErp;
    }

	public Long getId() {
		return id;
	}

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreatedUser() { return createdUser; }

    public void setCreatedUser(Long createdUser) { this.createdUser = createdUser; }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public String getFreezetime() {
        return freezetime;
    }

    public void setFreezetime(String freezetime) {
        this.freezetime = freezetime;
    }

    public Integer getFreezeStatus() {
        return freezeStatus;
    }

    public void setFreezeStatus(Integer freezeStatus) {
        this.freezeStatus = freezeStatus;
    }

    public Date getThawTime() {
        return thawTime;
    }

    public void setThawTime(Date thawTime) {
        this.thawTime = thawTime;
    }

    public Long getBookFundId() {
        return bookFundId;
    }

    public void setBookFundId(Long bookFundId) {
        this.bookFundId = bookFundId;
    }

    public Integer getProxyMode() {
        return proxyMode;
    }

    public void setProxyMode(Integer proxyMode) {
        this.proxyMode = proxyMode;
    }

    public String getTransferor() {
        return transferor;
    }

    public void setTransferor(String transferor) {
        this.transferor = transferor;
    }

    @Override
    public String toString() {
        return "BookFreeze{" +
                "id=" + id +
                ", bookId=" + bookId +
                ", freezetime='" + freezetime + '\'' +
                ", freezeStatus=" + freezeStatus +
                ", thawTime=" + thawTime +
                ", bookFundId=" + bookFundId +
                ", createdUser=" + createdUser +
                ", proxyMode=" + proxyMode +
                '}';
    }
}
